API ReferenceGift cards
Gift Cards List
Retrieve a list of gift cards.
Authorization
oauth2 gift_cards:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: gift_cards:read
Query Parameters
search_text?string
Generic search by code, name, email.
created_from?string
YYYY-MM-DD
Format
datecreated_to?string
YYYY-MM-DD
Format
datecustomer?integer
Customer
status?string
Status
active- Activeexpired- Expireddisabled- Disabled
Value in
"active" | "disabled" | "expired"currency?string
Currency
amount_from?number
Amount From
amount_to?number
Amount To
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*string
Default
"2024-04-01"Value in
"2024-04-01"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/gift-cards/" \ -H "X-29next-API-Version: 2024-04-01"{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"balance": "string",
"created_at": "2019-08-24T14:15:22Z",
"currency": "string",
"disabled_at": "2019-08-24T14:15:22Z",
"expired_at": "2019-08-24T14:15:22Z",
"id": 0,
"initial": "string",
"last_four": "string",
"updated_at": "2019-08-24T14:15:22Z",
"user": {
"accepts_marketing": true,
"email": "user@example.com",
"first_name": "string",
"id": 0,
"ip": "string",
"language": "string",
"last_name": "string",
"phone_number": "string",
"user_agent": "string"
}
}
]
}